---------------------------------------------------------------------------
What's new in Advanced Email Parser ?
-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-

Version 1.21 - released on July 21, 2003

    - Error with $_aep_globals variable was fixed

Version 1.20 - released on July 14, 2003

    - New "Calculator" component was added. It is used to perform
      arithmetic operations with variables. Except of standard
      operations like "Addition" and "Subtraction", it is possible to
      use logarithmic and trigonometrical functions. Also, this
      component can be used to transform numeric data to text data in
      different formats.

    - Now "Date Parser" component understands more than 20 formats of the
      message's date

    - "Database Manager" was added to all database components. Now you may
      change database properties from one place and it will be applied 
      everywhere.

    - "Variables Grouping" was added for variables management and their 
      organization in groups.

    - Global Variables were added. You can use Global Variables in
      Filters and for exchange data between Rules.

    - Extended options for Regular Expressions were added to all
      components which use it.

    - Interface of components was improved to simplify of entering of the
      variables.

    - Improved work with very large rules.

    - Several minor fixes with database components.

    - Several minor fixes with Excel components.

    - Many other minor improvements and fixes.

Version 1.17Lite - released on June 2, 2003

    - We are glad to introduce to you a new version of our famous
      product Advanced Email Parser - Advanced Email Parser Lite!
      Before, AEP was aviable only as corporate and business editions,
      but now it comes like a Lite version either. It contains all the
      functional features used by home users and small business. And
      now, AEP Lite has a good price against others versions! You can
      get powerful email processing system for $49 only.

Version 1.16 - released on February 24, 2003

    - Several serious errors with "MAPI Messages Store" while working with
      "MS Exchange 5.5" and "MS Exchange 2000" were fixed.

    - Error with "Public Folders" for "MAPI Messages Store" was fixed.

    - SMTP E-mail translation was added for "MAPI Messages Store" account.

    - You can work with logs over 2Gb now.

    - The ultra fast logs reindexing.

    - Actor "Stopper" was imporved to return status code from rule.

    - Error with "Excel" components on Windows95/98/ME was fixed.

Version 1.15 - released on February 10, 2003

    - New external component "NotePage Sender" was added. Users of
      Advanced Email Parser can use NotePage's PageGate and
      NotePager Pro now wireless messaging products, receive automatically 
      important messages on their mobile phone or pager.

    - Serious error was fixed with "Caching Options" used in "Excel" and
      "Database" components.

    - Error with "Database Access" was fixed when you use the same returned 
      field to different variables.

    - Several minor fixes.

Version 1.14 - released on January 22, 2003

    - New component group "Automation" and a new component "Data Sender"
      were added. This component used for sending data to other
      application, please view the example how to use this in the AEPMFC 
      catalog.
      
    - New external component "Advanced Email Locator" was added.
    
    - New external component "IP Locator" was added.

    - Error with components copy/paste for Iterators and Conditions was
      fixed.

    - Error with VBScript, PerlScript, RubyScript, PythonScript components
      and "Read Only" flag was fixed.

    - Error with "HTTP Reader" and Windows Explorer on Windows 95/98/ME/NT4
      was fixed.

    - Error with MAPI initialization on the Win95/95/ME was fixed.

    - New short keys were added: <Alt-D> for Disable, <Alt-S> for Safe and
      <Alt-R> for Read Only.

    - Error in the "Simple Database Access" with all "search" fields was
      fixed.

    - Resized dialogs was added for all database and script components.

    - Error in the "Account Filter" and the AEP internal SMTP Server was
      fixed.

Version 1.12 - released on November 21, 2002

    - Error with the "Line Parser" and Regular Expressions was fixed. 

    - Error with the "Block Parser" was fixed.

    - Error with the "Dictionary Condition" was fixed.

    - Error with the "Regexp Iterator" component renaming was fixed.

    - Error with the "Database Iterator" debug information was fixed

    - On some systems messages in POP3 Broker mode were processed twice

    - Now you can browse logs with Alt-Enter, Alt-Up and Alt-Down keys

    - Error with "HTTP Reader" and space losses was fixed.

    - Error with "Line Modifier" and Regular Expressions was fixed

    - Error with "Block Iterator" and copy/paste was fixed

    - Error with international characters for Parsers, Iterators
      and Modifiers was fixed

    - Error with "Word Iterator" and debug information was fixed.

    - Error with large debug text for Debug Viewer and Windows 95/98 was fixed.

    - Error with large body for the "SMTP Sender" component and
      Windows 95/98 was fixed.

    - Error with large text for Debug Messages and Windows 95/98 was fixed.

    - Error with national encodings for the Debug Viewer and
      Debug Messages was fixed.

    - Error in Database Iterator with variables and returned
      columns mismatch was fixed.

    - Now you can edit data in Debug Messages

    - New tab "Advanced" was added to the "Database Access" for
      compatibility with MS SQL Server.

    - Several fixes in "Simple Database Access" and "Database Iterator" 
      for compatibility with MS SQL Server.

    - Several other minor changes and fixes

Version 1.11 - released on October 19, 2002

    - Dangerous bug was fixed with components registration on Windows 95/98/ME

    - Error was fixed with Database components

Version 1.10 - released on October 14, 2002

    - New tab "Server" was added to the "Program Settings". Now, AEP can
      work as an e-mail SMTP server. Usage of an internal mail server
      delivers a number of benefits. For example, with it there is no need
      to query all mailboxes every 5 seconds to ensure timely reception of
      urgent, high-priority mail.

    - New component "Message Sender" was added. This component can be used
      for automatic resending of a received message through specified mail
      server. This action differs from regular forwarding of a message.
      When forwarding a message, a new message is created, and the whole
      original message, including its body and heading, is copied into body
      of the new message. Resending leaves the original message body
      intact, only changing the fields in its heading. In this instance,
      recipient will receive the original message, but from
      another sender.

    - New component "SMS Sender" was added. This components used for
      sending SMS-messages to GSM cellular phones. SMS-messages send
      through the Internet using special services. These services are
      accessed either via special servers or via web-sites of cellular
      operators.

    - New component "Condition Group" was added. This components allows
      to choose one of several possible conditions for execution. Condition
      group is a convenient tool for multivariant message processing.
      Conditions in a group are checked one by one, and the first
      condiotion found true is used for processing.

    - New component "Message Actor" was added. This component allows
      controlling message position in account folders and changing its
      marks while its processing is in progress. This actor implemented
      only for the "MAPI Message Store" account type.

    - Very important changing: realtime messages are processed immediately
      after filtering, now it is possible to use multistage change of the
      message by several rules.

    - New option "Enable POP3 Broker" was added to the "Broker" tab of the
      "Program Settings". Uncheck this option if you do not use the Broker
      mode.

    - New options "CC" and "BCC" were added to the "SMTP Sender" component.

    - New option "Method" was added to "Regular Expression Parser",
      "Regular Expression Modifier" and "Regular Expression Iterator"
      components. By default "Regular Expression Match" method is used.

    - Log system rewrited.

    - Many other changes and fixes.

Version 1.092beta - released on July 2, 2002

    - Log system improved to process great many sessions and huge logs.

    - New option "Cleaning Time" was added to the "Log" program settings.

    - Log viewer imrovements.

    - Bug with copy/paste while rule/component titles editing was fixed.

    - Several minor changes and improvements.

Version 1.091 - release on June 17, 2002

    - New option "Remove Messages After Processing" was added to the
      "Simple MAPI" account.
  
    - Implemented processing of attachments for "Simple MAPI Inbox"
      account.

    - Bug with "Simple Database Access" and MS Access was fixed.

    - Bug with "Realtime Processing" and "Internet POP3 Account" was fixed.

    - Bug with the "Broker" mode and "The Bat!" mailer was fixed.

    - Bug while copy/paste Modifiers was fixed.

    - Minor changes and improvements.

Version 1.09 - release on June 5, 2002

    - New component "Date Parser" was added. This component allows to
      convert time string to user's format.

    - New component "Simple Database Access" was added. This component
      is designed for easier work with database tables.

    - New account type "Internet IMAP Mail" was added.

    - New tab Caching was added for components working with data
      servers ("Database Access", "Database Iterator", "Simple
      Database Access", "Excel Access", "Excel Iterator"). See article
      "Caching" for details.

    - New flag "Autosave configuration before exit" was added to the
      General program settings.

    - New flag "Dynamic Data Binding" was added to the "Database
      Access" component. The flag enables the mode of working with a
      database where writing of long data is possible, regardless of
      SQL request length limitation.

    - Authentication was implemented in "SMTP Sender" component.

    - "Advanced" tab was added to the "File Writer" component. The tab
      contains text template which is added to the begin of created
      files.

    - New fields "Extension" and "Output File Variable" were added to
      the General tab in the "File Writer" component. The first field
      sets extension for created unique files, the second - variable
      name name of created unique file to be stored in.

    - Implemented processing of attachments for "MAPI Message Store
      Account".

    - New flags "Remove Leading Empty Lines", "Remove Trailing Empty
      Lines", "Remove Two Or More Empty Lines", "Remove New Line
      Characters" were added to the "Simple Modifier" component.

    - New ability was added to clean history of processed account messages
      to General tabs of all account types - a button "Clear
      Message History".

    - New ability to set secound intervals of automatic accounts
      checking was added to "Scheduler" tabs of all account types.

    - New ability to process subfolders while working in the Collector
      mode was added to the "Outlook Express Folder" account.

    - Messages generation was improved for the "MAPI Message Store"
      account.

    - Bug with writing BLOB (large objects) to databases was fixed.

    - Bug with database sources selection for all database
      components was fixed.

    - Bug with folder selection in the "Outlook Express Folder"
      account was fixed.

    - Bug occuried after "POP3 Account" connection breakup during
      working in the Broker mode was fixed.

    - Bug occuried upon rules removing/editing during messages
      processing was fixed.

    - Many other minor changes and fixes.

Version 1.08 - release on January 9, 2002

    - New ability to search rules and components in Constructor was added.

    - New ability to search data inside components was added.

    - New "Words May Contain Spaces" flag was added to the Word Iterator to 
      process sentence.

    - Bug in the "Dictionary Filter" component was fixed.

    - Bug in the "Dictionary Condition" component was fixed.

    - Bug in the "Word Iterator" component was fixed.

    - Bug in the "Excel Iterator" component was fixed.

    - Bug in the "Excel Access" component was fixed.

    - Bug in the "Database Iterator" component was fixed.

    - Bug in the "Line Modifier" component with disabled debug was fixed.

    - Now you can use templates in Filename for "File Template" component.

    - Bug with special characters usage in text was fixed.

    - Bug while copy/paste Iterators was fixed.

    - Bug while copy/paste Conditions was fixed.

    - Bug in AEP started as service was fixed.

    - Bug in POP3 Filter with large messages was fixed.

    - Bug with automated log cleaning was fixed.

    - Bug in the "Outlook Express Folder" account under Windows ME was fixed.

    - Bug in the "MAPI Message Store Account" account was fixed.

    - Bug in the "Simple MAPI Inbox Folder" account was fixed.

    - Bug in the "Qualcomm Eudora Folder" account was fixed.

    - Lot of other small bugs were fixed.

Version 1.07 - release on November 28, 2001

  - New components group "Modifiers" was added . These components allows to
    modify text source and parts of messages. To receive modified  messages
    in  Broker  mode  by  e-mail  client  you  need  to  enable   "Realtime
    Processing" flag in rule properties, which is use Modifiers.

  - New component "Line Modifier" was added. This component allows to modify
    text sources line by line.

  - New component "Block Modifier" was added. This component  allows to
    modify text sources block by block.

  - New component "Regular Expression Modifier" was added.  This  component
    allows to modify text sources with help of regular expressions.

  - New component "Simple Modifier" was  added.  This  component  allows  to
    modify text sources whith help of  simple  text  operations  as  remove
    spaces, changes the register of letters etc.

  - New component "Message Parts Modifier" was added. This component  allows
    to add, remove and  replace  parts  of  the  message  using  part  type
    description in the content type field.

  - New component "Attachments Modifier" was added. This component allows to
    add and remove attachments from message.

  - New component "Excel Access" was  added.  This  component  is  used  to
    exchange data between MS Excel documents.

  - New component "Excel Iterator" was added. This  component  is  used  to
    read data line by line from MS Excel worksheet and  execute  a  set  of
    components for it.

  - New component "Database Iterator" was added. This component is used  to
    execute a set of components for every record of SQL query.

  - New account type "MAPI Message Store  Account"  was  added  to  process
    messages from e-mail clients, which is supports MAPI  (MS  Outlook,  MS
    Exchange etc).

  - New account type "Simple  MAPI  Inbox  Folder"  was  added  to  process
    messages in  Inbox  folder  from  the  major  e-mail  clients  (Outlook
    Express, The Bat!, Incredi Mail, Allegro Mail, Pegasus Mail, etc.)

  - New account  type  "Qualcomm  Eudora  Folder"  was  added  to  process
    messages from Qualcomm Eudora folders.

  - New tab "Processing" for all types of an accounts was  added.  In  this
    tab you can customize messages retrieving settings  and  their  further
    processing.

  - Bug with Regular Expressions for Windows XP was fixed.

  - Lot of known bugs were fixed.

Version 1.07beta - release on October 12, 2001

  - New "Filter Group" component was  added.  It's  used  to  combine  work
    results of some filters and filter groups using boolean operation (AND,
    OR). Incredible feature to build complex filters.

  - New "Realtime Processing" flag was added in rule properties.  It  allows
    AEP to  process  messages  immediately  so  work  results  will  appear
    instantly.  This  very  helpful  feature  is  designed specially  for
    processing offline data sources with large messages amount.

  - New "Process Only Message Header" flag was added in rule properties. It
    will increase unwanted  messages  processing  speed  and  protect  your
    computer against viruses.

  - New "Process  Only  New  Messages"  flag  was  added  in  POP3  Account
    properties.

  - New "Listen on Address" option was added to Broker settings.

  - New "Play Audio File" action was added to the "Debug Alert" component.

  - Log system improved to process large logs and huge debug sessions.

  - All known bugs were fixed.

Version 1.06 - released on September 17, 2001

  -  Serious bug with "Database Writer" component was fixed.

  -  Minor improvements with components copy/paste for rule editing.

  -  New "Static Word Dictionary" flag was added to "Dictionary Filer"
     component for performance reason.

  -  New "Static Word Dictionary" flag was added to "Dictionary Condition"
     component for performance reason.

Version 1.05 - released on September 14, 2001

  -  New "Outlook  Express  Folder" accounts type was added for processing
     messages from Outlook Express folders.

  -  New "RFC822 Compilant Files" accounts type was added for processing
     messages from files in RFC822-format, which are placed in directory.

  -  New "Unix Compatible Mailbox File"  accounts  type  was added for
     processing messages from file in the Unix Mailbox format.

  -  New "Dictionary Condition" component was added which is used to check
     conditions in the specified text source using dictionary.

  -  New "Read Only" flag was added in rule properties, it's used to
     protect rules from editing.

  -  New "Change directory to DLL location" flag was added to the "Run 
     Dynamic Library" component.

  -  New "Use Regular Expressions" flag was added in the "Simple Condition"
     component. 

  -  Message  processing  was  improved  for  POP3  accounts, so its speed
     increased.

  -  Fixed error occuring when large quantity of messages from POP3 servers
     are processed in the Broker Mode.


Version 1.05beta1 - released on August 21, 2001

  - Bug in "HTML Printer" component was fixed.

  - Possibility of usage file wildcards in attachments was added to 
    "SMTP Sender" component.

  - Possibility of usage "Output Variable" in "Template" was added to
    "Set Value By Template" component.

  - Several small bugs were fixed.

Version 1.05beta - released on August 15, 2001

  - New components group "Iterators" was added.

  - New "Word Iterator" component was added.

  - New "Line Iterator" component was added.

  - New "Block Iterator" component was added.

  - New "Regular Expression Iterator" component was added.

  - New "Iterator Stopper" component was added.

  - New "Next Iteration" component was added.

  - New "Dictionary Filter" component was added.

  - New "HTTP Reader" component was added.

  - New "HTML Printer" component was added.

  - Option "Include Defined Text into Result" was added to "Block Parser".

  - Option "Continue Until Defined Text or End of Source" was added 
    to "Block Parser".
  
  - Option "Ignore Empty Blocks" was added to "Block Parser".

  - Option "Include Defined Text into Result" was added to "Line Parser".

  - Option "Return Full String" was added to "Line Parser".

  - Option "Ignore Empty Strings" was added to "Line Parser".

  - All known bugs were fixed.
 
Version 1.04 - released on July 14, 2001

  - Serious bug was fixed with Windows NT - AEP, could hang without any warnings.

Version 1.03 - released on July 6, 2001

  - Work with attachments was added by using "Attachments Writer". Now 
    they can be saved on disk for processing with other applications.

  - Ability to send messages with attachments was added to "SMTP Sender".

  - New options were added to "SMTP Sender" to support national languages.

  - New tab "Advanced" was added to "Regular Expressions" parser.

  - ‘apability  to  send  e-mails  from  prepared  template was added to 
    "SMTP Sender"  (i.e.  you  can  "Load Message"  and it will make all 
    necessary work: split all message fields into headers and body - this 
    is a simple way to send HTML messages with AEP).

  - New  options  were  added  to  "Advanced"  program settings to support
    national languages.

  - International headers conversion was added. No more subjects like 
    "=?ISO-8859-1?B?SWYgeW91IGNhbiByZWFkIHRoaXMgeW8=?="

  - New "Text Body" text source was added to all parsers.

  - New "HTML Body" text source was added to all parsers.

  - New "Full Message" text source was added to all parsers.

  - New "All Headers" text source was added to all parsers.

  - Added message body conversion. You can work with message body as is, 
    no  more "=3D", no  more  invalid  encodings  for  "Text Body"  and 
    "HTML Body" sources.
  
  - Now you can install AEP as Windows NT or Windows 2000 service.

  - Reducing memory usage for working with large messages.

  - A lot of known bugs were fixed and "Stack Overflow" error fixed finally
    too.

Version 1.02 - released on May 28, 2001

  - New tab "Advanced" was added to program settings.

  - Option "Queue Processing Priority" was added to general settings.

  - Minor improvements for components drag&drop and rule creation.

  - Several small bugs were fixed.

Version 1.01 - released on May 23, 2001

  - New tab "Prompts" was added to program settings

  - Confirmation for object deletion was added

  - Improved Drag&Drop for rule list

  - Option "Double single quote in variables" was added to Database Access

  - Regular expressions were added to "Block Parser"

  - Regular expressions were added to "Line Parser"

  - Regular expressions were added to all Filters

  - Bug with huge debug sessions was fixed 

  - Bug with large message size was fixed 

  - Bug with large messages amount was fixed 

  - Bug with "Leave messages on server" for broker mode was fixed 

  - Reducing memory usage for debug data

  - Some other minor changes and adjustments

  - A lot of other bugs were fixed

Version 1.0 - released on April 27, 2001

  - Improved log system.

  - New general option "Clean up log at startup" was added.

  - Some other minor changes, adjustments, and fixes.

Version 0.92 - released on April 18, 2001

  - Perl Script Component was added.

  - Pyton Script Component was added.

  - Ruby Script Component was added.

  - New general option "Keep debug events for the several last days" 
    was added

  - Several small bugs were fixed.
	
Version 0.91 - first public version, released on April 9, 2001

---------------------------------------------------------------------------

